Skip to content
Docs

Liveness

get/health

Returns 200 OK while the service process is alive; ready reports whether warmup has completed and the replica can serve decisions.

ReturnsExpand Collapse
Health = object { capabilities, model, ready, status }

Response of GET /health.

capabilities: map[unknown]

Same content as GET /capabilities.

model: string

Model version.

ready: boolean

Whether the service can serve decisions.

status: "ok"
Accepts one of the following:
"ok"
Liveness
curl https://api.articul8.ai/bivia/health \
    -H "Authorization: Bearer $A8_API_KEY"
{
  "capabilities": {
    "foo": "bar"
  },
  "model": "model",
  "ready": true,
  "status": "ok"
}
Returns Examples
{
  "capabilities": {
    "foo": "bar"
  },
  "model": "model",
  "ready": true,
  "status": "ok"
}